commit:     073cfe4fe7f386daea48b28c864d9df4a4039284
Author:     Alexis Ballier <aballier <AT> gentoo <DOT> org>
AuthorDate: Tue Jun 28 14:11:14 2016 +0000
Commit:     Alexis Ballier <aballier <AT> gentoo <DOT> org>
CommitDate: Tue Jun 28 14:35:39 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=073cfe4f

sci-libs/octomap: bump to 1.8.0

Package-Manager: portage-2.3.0

 sci-libs/octomap/Manifest             |  1 +
 sci-libs/octomap/octomap-1.8.0.ebuild | 81 +++++++++++++++++++++++++++++++++++
 2 files changed, 82 insertions(+)

diff --git a/sci-libs/octomap/Manifest b/sci-libs/octomap/Manifest
index b0a4538..283c59b 100644
--- a/sci-libs/octomap/Manifest
+++ b/sci-libs/octomap/Manifest
@@ -1 +1,2 @@
 DIST octomap-1.6.8.tar.gz 1588042 SHA256 
833adba0d3b203cab0e28a0180490e74bc852a7fea9adf6ee53bbfb8f10bc79a SHA512 
43c049f6b53081b83bbf0a38c2f319dc2fb3d799dafb3f45779b2e615d0ac1f6d83bfba592abd93afe34cc51ac39d9081bd7e20f69c4390b68fcc8386a1cb68d
 WHIRLPOOL 
f27ad8efbaba51d02d7f1e856607d5a1890354aa2bc172bf20341148c6503cefdb06aacb39c8345de80dd54e6a8f91e59aa254c60b67e9a76c546813aaabca2c
+DIST octomap-1.8.0.tar.gz 1584799 SHA256 
158f66af55bb660a2aa7d0a00c60c9e5320f6594bd0924748af1471d315d5633 SHA512 
61ceeee80de8bcdcfde69c3dd30a218ec7f9e4362b1bae8e80d29dde74875a717cc1cbcfba1a7c3ee7ec0ee954297796ac35052782b98af36448f5c3305bdfa9
 WHIRLPOOL 
12d1dd64d0b7999aa41c5ed878af63385f25536a32a38b28d168a10560dc6de5ce1148d6f20c310082da765066a8f3f826860f481ae11e1669aa9a15f6365b71

diff --git a/sci-libs/octomap/octomap-1.8.0.ebuild 
b/sci-libs/octomap/octomap-1.8.0.ebuild
new file mode 100644
index 0000000..182eea1
--- /dev/null
+++ b/sci-libs/octomap/octomap-1.8.0.ebuild
@@ -0,0 +1,81 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+SCM=""
+if [ "${PV#9999}" != "${PV}" ] ; then
+       SCM="git-r3"
+       EGIT_REPO_URI="https://github.com/OctoMap/octomap";
+fi
+
+inherit ${SCM} cmake-utils
+
+if [ "${PV#9999}" != "${PV}" ] ; then
+       KEYWORDS=""
+       SRC_URI=""
+else
+       KEYWORDS="~amd64 ~arm"
+       SRC_URI="https://github.com/OctoMap/octomap/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+fi
+
+DESCRIPTION="An Efficient Probabilistic 3D Mapping Framework Based on Octrees"
+HOMEPAGE="http://octomap.github.io/";
+IUSE="qt4 dynamicEDT3D doc"
+LICENSE="BSD qt4? ( GPL-2 )"
+SLOT="0"
+
+RDEPEND="
+       qt4? (
+               virtual/opengl
+               dev-qt/qtcore:4
+               dev-qt/qtgui:4
+               x11-libs/libQGLViewer
+       )
+"
+DEPEND="${RDEPEND}
+       doc? (
+               app-doc/doxygen
+               media-gfx/graphviz
+       )
+"
+
+src_prepare() {
+       sed -e 's/DESTINATION lib/DESTINATION ${CMAKE_INSTALL_LIBDIR}/' \
+               -i */CMakeLists.txt \
+               -i */CMakeModules/InstallPkgConfigFile.cmake || die
+       cmake-utils_src_prepare
+}
+
+src_configure() {
+       local mycmakeargs=(
+               "-DBUILD_OCTOVIS_SUBPROJECT=$(usex qt4 ON OFF)"
+               "-DBUILD_DYNAMICETD3D_SUBPROJECT=$(usex dynamicEDT3D ON OFF)"
+       )
+       cmake-utils_src_configure
+}
+
+src_compile() {
+       cmake-utils_src_compile
+       if use doc ; then
+               cd "${BUILD_DIR}/octomap"
+               emake docs
+               if use dynamicEDT3D ; then
+                       cd "${BUILD_DIR}/dynamicEDT3D"
+                       emake docs_dynamicEDT3D
+               fi
+       fi
+}
+
+src_install() {
+       cmake-utils_src_install
+       if use doc ; then
+               insinto /usr/share/doc/${PF}/html/octomap
+               doins -r "${S}/octomap/doc/html/"*
+               if use dynamicEDT3D ; then
+                       insinto /usr/share/doc/${PF}/html/dynamicEDT3D
+                       doins -r "${S}/dynamicEDT3D/doc/html/"*
+               fi
+       fi
+}

Reply via email to